Subject: [PATCH 0/8] adding nats-server package

From: Benjamin <[email-masked]>
Date: Sat, 18 Nov 2023 19:14:30 +0100

Hello,

Here is a series of patch that is adding nats-server.
Nats [0] is a nice implementation in go of a message broker that is
memory efficient, really fast and also quite easy to package.

For now, I only added the server part. I am working on the command line
client but it is much more complicated to package (because of the number
of dependencies to add). I will add it in the future.

I added the nats-server in messaging.scm because I saw another message
broker there. The other possible location would be in golang.scm.

Best

Benjamin

[0] https://nats.io/

Benjamin (8):
  gnu: Add go-github-com-minio-highwayhash.
  gnu: Add go-github-com-prashantv-gostub.
  gnu: Add go-go-uber-org-automaxprocs.
  gnu: Add go-github-com-nats-io-nuid.
  gnu: Add go-github-com-nats-io-nkeys.
  gnu: Add go-github-com-nats-io-jwt-v2.
  gnu: Add go-github-com-nats-io-nats-go.
  gnu: Add nats-server.

 gnu/packages/golang-check.scm |  24 ++++++
 gnu/packages/golang.scm       | 148 ++++++++++++++++++++++++++++++++++
 gnu/packages/messaging.scm    |  32 ++++++++
 3 files changed, 204 insertions(+)

base-commit: 2ab5e449246f98b049888dde3c310f5b4a0a64a2
-- 
2.41.0